Page MenuHomePhabricator

do not remove trailing zeroes from subnets in DHCP static route config
Closed, ResolvedPublic

Description

In the push classless route part the script removes zeros from the router bytes. This is not the desired behavior.
For example this

static-route {
    destination-subnet "172.22.128.0/17"
    router "172.22.0.12"
}

will create this in the dhcpd.conf:

option rfc3442-static-route 17,172,22,128,172,22,12;
option windows-static-route 17,172,22,128,172,22,12;

The zero disappeared in the router address. The desired output would be:

option rfc3442-static-route 17,172,22,128,172,22,0,12;
option windows-static-route 17,172,22,128,172,22,0,12;

(ISC.org is currently unavailable so I cannot link any official documentation)

Details

Difficulty level
Unknown (require assessment)
Version
1.2.1
Why the issue appeared?
Will be filled on close

Event Timeline

tmarlok created this task.Apr 18 2019, 8:56 AM
tmarlok created this object in space S1 VyOS Public.
c-po claimed this task.Apr 20 2019, 2:50 PM
c-po added a project: VyOS 1.3 Equuleus.
c-po closed this task as Resolved.Apr 21 2019, 11:31 AM
c-po reassigned this task from c-po to tmarlok.
c-po moved this task from Need Triage to VyOS 1.2.2 on the VyOS 1.2 Crux board.
c-po edited projects, added VyOS 1.2 Crux (VyOS 1.2.2); removed VyOS 1.2 Crux.
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.
c-po added a subscriber: c-po.
dmbaturin reopened this task as Backport pending.Apr 21 2019, 12:52 PM
syncer triaged this task as Normal priority.Apr 21 2019, 12:55 PM
c-po added a comment.Apr 21 2019, 2:23 PM

Backport is done already by me

syncer closed this task as Resolved.Apr 21 2019, 2:27 PM
syncer moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.2) board.
syncer added a subscriber: syncer.

ok, that was a test for new statuses
so we can track backport process better